Bug 809491 - Wrong manual.
Wrong manual.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-screenshooter (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 10:05 EDT by Sergio
Modified: 2012-04-11 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: xfce4-screenshooter-1.8.0-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-06 07:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 8641 None None None Never

  None (edit)
Description Sergio 2012-04-03 10:05:14 EDT
Description of problem:
'man xfce4-screenshooter' says: "-m, --mouse
              Do not display the mouse on the screenshot"

But as 'xfce4-screenshooter -h' says, the correct is: "-m, --mouse              Display the mouse on the screenshot"

Version-Release number of selected component (if applicable):
Version     : 1.8.0
Release     : 3.fc17

How reproducible:
always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christoph Wickert 2012-04-06 07:05:56 EDT
Thanks for reporting this. Good catch!

This kind of bug needs to be fixed upstream, thus I have opened a bug at https://bugzilla.xfce.org/show_bug.cgi?id=8641

Once upstream fixes it, I will issue an update for Fedora.
Comment 2 Sergio 2012-04-06 07:59:02 EDT
I didn't find any man page in the upstream source code, though.
(There's only the HTML manual for the GUI)
Comment 3 Sergio 2012-04-06 08:02:41 EDT
Sorry, I found it and it's already fixed:
http://git.xfce.org/apps/xfce4-screenshooter/tree/xfce4-screenshooter.1
Comment 4 Sergio 2012-04-06 08:06:57 EDT
It was this commit that fixed it:
http://git.xfce.org/apps/xfce4-screenshooter/commit/?id=5dbf237351c790d248739138a30915610068fd28

I had opened a bug report in Debian for it and it was still open, then I searched git.xfce.org but, my mistake, I didn't find the man page.
Comment 5 Fedora Update System 2012-04-06 09:08:30 EDT
xfce4-screenshooter-1.8.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce4-screenshooter-1.8.0-5.fc17
Comment 6 Christoph Wickert 2012-04-06 09:10:14 EDT
Thanks for your research. I have issued an update for F17 and hope it gets in before F17 final. For the stable released however I don't consider the problem severe enough.
Comment 7 Fedora Update System 2012-04-11 23:03:37 EDT
xfce4-screenshooter-1.8.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.